<script setup>
import { useAppStore } from '@/stores/AppStore'
</script>


<script>
export default {

	data() {
		const appStore = useAppStore()
		return {
			appStore,
			csrf: document.querySelector('meta[name="csrf-token"]').getAttribute('content'),
			icon: appStore.icon,
			type: 'revert',
			file: null,
		}
	},

	watch: {
		'appStore.icon'(current, old) {
			this.icon = current
		}
	},

	methods: {
		onUpload(e) {
			this.file = e.target.files[0]
			this.icon = URL.createObjectURL(this.file)
			this.type = 'upload'
		},

		/*
		onReset(e) {
			this.icon = '/assets/default-profile-icon.png'
			this.type = 'reset'
		},

		onRevert(e) {
			this.icon = this.appStore.icon
			this.type = 'revert'
		},
		*/
	},

	i18n: {
		messages: {
			en: {
				title: "Change Icon",
				icon: "Current Icon",
				ok: "Change Icon",
			},
			th: {
				title: "เปลี่ยนรูป Icon",
				icon: "Icon ปัจจุบัน",
				ok: "เปลี่ยนรูป Icon",
			},
		},
	},
}
</script>


<template>
	<AppBox :title="$t('title')">
		<form id="form" method="post" enctype="multipart/form-data" action="/profile/change-icon">
			<input type="hidden" name="_token" :value="csrf" />

			<img :width="128" :height="128" :src="icon" :alt="this.appStore.member ? this.appStore.member.email : ''"
				:title="this.appStore.member ? this.appStore.member.name : ''" />
			<br />

			<div>
				<input type="file" name="image" accept="image/png, image/jpeg" @change="onUpload" />
			</div>
			<br />

			<button type="submit">{{ $t('ok') }}</button>
			<button type="submit" click="document.form.image.value = null;">{{ $t('imageChooser.reset') }}</button>
		</form>
	</AppBox>
</template>


<style scoped>

</style>
